version: "3.9"

services:
  style_shop_traefik:
    image: "traefik:v3.0.0-beta2"
    network_mode: "host"        
    command:
      - "--accesslog=true"
      - "--log.level=DEBUG"
      - "--api.insecure=true"
      - "--providers.file.directory=/traefik_dynamic_configs"
      - "--providers.file.watch=true"
      - "--providers.docker=true"
      - "--providers.docker.exposedbydefault=false"
      - "--entrypoints.web.address=:811"
      - "--entrypoints.websecure.address=:801"
      - "--entrypoints.traefik.address=:23332" # fuck the traefik team who force open a website
      # - "--entrypoints.web.address=:80"
      # - "--entrypoints.websecure.address=:443"
      # - "--entrypoints.smtp.address=:25"
    # ports:
      # - "80:80"
      # - "443:443"
      # - "25:25"
      #- "8081:8080"
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock:ro"
      - "./configs/traefik_dynamic_configs:/traefik_dynamic_configs" # host dir: container dir
    restart: unless-stopped
